com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface ViewExpressions

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ViewExpressions
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'View Expressions'.

  The following features are supported:

  - `Lhs`
  - `Rhs`
  See Also:
    `RulesheetPackage.getViewExpressions()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLhs()` Returns the value of the 'Lhs' attribute
    `java.lang.String` | `getRhs()` Returns the value of the 'Rhs' attribute
    `void` | `setLhs(java.lang.String value)` Sets the value of the '`Lhs`' attribute
    `void` | `setRhs(java.lang.String value)` Sets the value of the '`Rhs`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLhs

          java.lang.String getLhs()

      Returns the value of the 'Lhs' attribute.

      If the meaning of the 'Lhs' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Lhs' attribute.
      See Also:
        `setLhs(String)`, `RulesheetPackage.getViewExpressions_Lhs()`

    - #### setLhs

          void setLhs(java.lang.String value)

      Sets the value of the '`Lhs`' attribute.
      Parameters:
        `value` - the new value of the 'Lhs' attribute.
      See Also:
        `getLhs()`

    - #### getRhs

          java.lang.String getRhs()

      Returns the value of the 'Rhs' attribute.

      If the meaning of the 'Rhs' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rhs' attribute.
      See Also:
        `setRhs(String)`, `RulesheetPackage.getViewExpressions_Rhs()`

    - #### setRhs

          void setRhs(java.lang.String value)

      Sets the value of the '`Rhs`' attribute.
      Parameters:
        `value` - the new value of the 'Rhs' attribute.
      See Also:
        `getRhs()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.